/**************************************************************************\
*									   *
*   ALL.H   -	 unido X-Mac, allgemeine Festlegungen			   *
*									   *
*					Michael	Roehner, unido ChiPSy	   *
*									   *
\**************************************************************************/


#ifndef	ALL_H_INCLUDED
#define	ALL_H_INCLUDED

#ifdef NOARGS
#define __ARGS(x) ()
#else
#define __ARGS(x) x
#endif

/*							   Festlegungen	  */
/**************************************************************************/

#define	INTSZ	    2	      /* Groesse einer int-Variablen in	Bytes	  */
			      /* (unabhaengig vom Compiler fest	auf 2 !)  */
#define	PTRSZ	    4	      /* Groesse eines Zeigers in Bytes		  */
#define	TRUE	    1	      /* boolesches TRUE			  */
#define	FALSE	    0	      /* boolesches FALSE			  */
#define	YES	    1	      /* Synonym fuer TRUE			  */
#define	NO	    0	      /* Synonym fuer FALSE			  */
#define	ERR	    (-2)      /* Fehler					  */
#define	VOID	    void      /* Merker: Funktion gibt nichts zurueck	  */
#define	COMMENT	    ';'	      /* Trenner fuer Kommentare		  */
#define	ANOTHER	    '|'	      /* Trennt	Alternativen bei Operanden in MIT */
#define	MAXLINE	    133	      /* Laenge	Quellzeile maximal		  */
#define	FNSIZE	    80	      /* Laenge	Dateiname + Path		  */

#define	LOOP	    for(;;)   /* Schleifenkonstrukt			  */





/*								  Typen	  */
/**************************************************************************/

typedef	int	    BOOLEAN;  /* TRUE oder FALSE			  */

#endif

/* Ende	von ALL.H */
