/**************************************************************************\
*									   *
*   REL.H   -	 unido X-Mac, Definitionen Microsoft-REL-Format		   *
*									   *
*					Michael	Roehner, unido ChiPSy	   *
*									   *
\**************************************************************************/





/*				      Typcodes fuer die	einzelnen Items	  */
/**************************************************************************/

#define	ABS	    0	      /* absolut				  */
#define	PREL	    1	      /* programmrelativ			  */
#define	DREL	    2	      /* datenrelativ				  */
#define	CREL	    3	      /* commonrelativ				  */

#define	ENAME	    4	      /* Name des Eintrags			  */
#define	CNAME	    5	      /* Name des Commonblocks			  */
#define	PNAME	    6	      /* Programmname				  */
#define	LNAME	    7	      /* Bibliotheksname			  */
#define	EXT	    8	      /* Extension Link-Item			  */

#define	CSIZE	    9	      /* Groesse und Name Common		  */
#define	XCHAIN	   10	      /* Kette externer	Referenzen: Head und Name */
#define	EPOINT	   11	      /* Ort eines Einsprungpunkts und Name	  */

#define	XMOFF	   12	      /* extern	- Offset			  */
#define	XPOFF	   13	      /* extern	+ Offset			  */
#define	DSIZE	   14	      /* Groesse des Datenbereichs		  */
#define	SETLC	   15	      /* Positionszaehler fuer das Laden setzen	  */
#define	CHAIN	   16	      /* Kettungsadresse			  */
#define	PSIZE	   17	      /* Groesse des Codes			  */
#define	EPROG	   18	      /* Ende des Programms			  */
#define	EFILE	   19	      /* Ende der Datei				  */





/*							      Sonstiges	  */
/**************************************************************************/

#define	MAXSYM	    6	      /* Maximale Symbollaenge in einer	REL-Datei */
#define	ONES	    (-1)      /* alle Bits gesetzt !			  */

int	 getrel(void);
int	 getspec(void);
int	 gettyp(void);
int	 getfld(void);
int	 getsym(void);
int	 getbits(int);
BOOLEAN	 putrel(void);
BOOLEAN	 puttyp(void);
BOOLEAN	 putfld(void);
BOOLEAN	 putsym(void);
BOOLEAN	 putbits(unsigned, int);

/* Ende	von REL.H */
